<template>
    <section>
        <loading :active.sync="isLoading"
                 :can-cancel="true"
                 :is-full-page="fullPage">
        </loading>
        <div class="row rides-list ride-list" id="rides_list" v-for="ride in rides">
            <div class="col-md-2">
                <h4 class="title">Driver</h4>
                <div class="profile-pic-sm" style="text-align: center;">
                    <img :src="ride.avatar" >
                    <p align="center">{{ ride.first_name }} {{ ride.last_name }}</p>
                    <div class="stars">
                        <span v-for="item in ride.rating" class="fa fa-star checked"></span>
                        <span v-for="item in (5 - ride.rating)" class="fa fa-star"></span>
                    </div>
                    <a :href="'/rides/viewUserProfile/' + ride.user_id " class="btn btn-info x-slim-button">View Profile</a>
        
                </div>
            </div>

            <div class="col-md-2 no-mobile">
                <h4 class="title">Vehicle</h4>
                <div class="profile-pic-sm" style="text-align: center;">
                    <img :src="ride.car_image" width="50px" class="img-circle"><br />
                    <span class="add-id"> {{ ride.make }}</span><br/>
                    <span class="add-id">  {{ ride.model }}</span> <br/>
                    <span class="add-id"> {{ ride.year }}</span> <br/>
                </div>
            </div>

            <div class="col-md-6">
                <h4 class="title">Drive Info</h4>
                <div class="margin-left-20">
                    <p><i class="fa fa-map-marker ride-card-icon"></i><strong class="bold-light">From:</strong> {{ ride.location_from }}</p>
                    <p><i class="fa fa-map-marker ride-card-icon"></i><strong class="bold-light">To:</strong> {{ ride.location_to }} </p>
                    <p><i class="fa fa-calendar ride-card-icon"></i> {{ ride.dateFrom | formatDate}}</p>
                    <p><i class="fa fa-clock-o ride-card-icon"></i> {{ ride.startHour | formatTime}}
                    </p>
                    <p class="no-mobile"><i class="fa fa-map-o ride-card-icon"></i><strong class="bold-light">Details:</strong> {{ ride.description }}</p>
                    
                    <p v-if="ride.ladies_only === 'Yes' " class="add-in ladies-pink"><i class="fa fa-female ride-card-icon"></i> <strong>WOMEN ONLY</strong> {{ ride.ladies_only }}</p>

                </div>
            </div>

            <div class="col-md-2">
                <h4 class="title">Booking</h4>
                <div style="text-align: center;">
                    <p v-if="ride.type === 'airport'">
                        Airport Rides
                    </p>
                    <h2 class="rideprice"> ${{ ride.price }}</h2>

                    <div style="margin-top:14px;">
                        <a @click="joinRide(ride)"
                           class="btn btn-primary">Join</a>
                    </div>
                </div>
            </div>

        </div>
    </section>
</template>

<script>
    import Loading from 'vue-loading-overlay';

    export default {
        name: "RidesCard",
        props:['rides'],
        components:{Loading},
        data(){
            return{
                isLoading:false,
                fullPage:false,
            }
        },
        mounted(){
            this.$root.$on('cleandata', () => {
                this.rides = null;
                this.rides = [];
                console.log('cleandata');
            })
        },
        methods:{
            
            joinRide(ride){
                this.isLoading = true;
                axios.post('/rides/join/' + ride.id , {
                    body:{
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                            'from': ride.location_from,
                            'to':ride.location_to,
                            'price':ride.price,
                            'isStop':ride.isStop,
                    }
                }).then(response => {
                    this.isLoading = false;
                    this.$router.push({
                        name: 'joinnormalride', params: {
                            from:ride.location_from,
                            to:ride.location_to,
                            stop:ride.stop,
                            userRiding:response.data.userRiding,
                            ride:response.data.ride,
                            allow:response.data.allow,
                            vehicle:response.data.vehicle,
                            reason:response.data.reason,
                        }
                    });
                }).catch(e => {
                    this.isLoading = false;
                    console.log(e.response);
                    if(e.response.status == 401){
                        window.location.replace("/login");
                    }else{
                        this.flash('Server 500 error please try again', 'error',{timeout: 4500});
                    }
                    
                });


            }
        }
        
    }
</script>

<style scoped>

</style>